Bug 1657719 - Subscription allocation on customer portal changes back to 6.3 from 6.4 after a manifest refresh from upgraded satellite server.
Summary: Subscription allocation on customer portal changes back to 6.3 from 6.4 after...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.4
Hardware: x86_64
OS: All
high
high vote
Target Milestone: 6.5.0
Assignee: Jonathon Turel
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-10 10:43 UTC by Amaani S Karimi
Modified: 2019-12-20 16:52 UTC (History)
10 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.24-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:39:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25937 High Closed Subscription allocation on customer portal changes back to 6.3 from 6.4 after a manifest refresh from upgraded server 2020-01-07 22:45:25 UTC
Red Hat Knowledge Base (Solution) 3747901 None None None 2018-12-11 02:13:12 UTC
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:31 UTC

Comment 4 Jonathon Turel 2019-01-29 23:06:17 UTC
Created redmine issue https://projects.theforeman.org/issues/25937 from this bug

Comment 5 Bryan Kearney 2019-02-06 19:02:34 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25937 has been resolved.

Comment 7 jcallaha 2019-03-04 21:53:00 UTC
Verified in Satellite 6.5.0 Snap 18

For this, no upgrade is needed.

Simply upload a manifest with the latest Satellite version available.
In this case, it was 6.4.
Perform a manifest refresh in Satellite.
Check back on the portal to verify that the Satellite version wasn't downgraded.


Bonus:
Set the Satellite version lower in the portal
Perform a manifest refresh in Satellite
Check back on the portal and see that the sat version was brought up to the latest or closest version.

Comment 9 errata-xmlrpc 2019-05-14 12:39:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.